Delete Single Campaign (Bulk Data) - Token Authentication

Deletes campaign data in bulk based on the specified parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Deletes bulk campaign data for a single campaign at a time based on the specified parameters. If you want to delete data from multiple campaigns at a time, use Delete Campaign Bulk Data (Token Authentication)

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'CREDENTIALS' tab. Here, input the generated token ID.
  3. With the token entered, pass the below header and body parameters:
❗️

Rate Limit:

This API allows 100 request per minute.

Possible Responses

Passing Invalid apiKey Value / Missing apiKey Value{"status": "false","message": "Invalid User Details", "data": null}
Passing Invalid Token Value"{""status"": ""false"",""message"": ""Invalid Token"",
""data"": null}"
Missing Token Value{"status": "false","message": "Token Should Not be Null or Empty.","data": null}
Passing expired Token{"status": "false","message": "Token Expired","data": null}
Requesting the API by passing the token in API when the API Authentication setting is set as BASIC_AUTH"{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."",
""data"": null}"
Passing Invalid userName Value{"status": "false", "message": "Invalid User Details", "data": null}
Missing userName Value"{""status"": ""false"",""message"": ""Username Should Not be Null or Empty."",
""data"": null}"
Passing Invalid campaignName Value{"status": "error", "messages": "Invalid campaign details"}
Missing campaignName Value{"status": "error", "messages": "CampaignName should not be null are empty"}
Passing Invalid Status Value / Missing Status Value{"status": "error","message": "Status should be only Success/Fail/Pending/0"}
Body Params
string
required

The username associated with your account.

string
required

The name of the campaign from which data will be deleted.

string
enum

The status filter for deleting campaign data.

Allowed:
string

The agent ID associated with the campaign.

string

The skill associated with the campaign.

string

The phone number associated with the campaign data.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json